> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blindsight.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload Dataset Items



## OpenAPI

````yaml /api-reference/openapi.json post /api/uploads/dataset/{dataset_id}/images
openapi: 3.1.0
info:
  title: Blindsight API
  version: 0.1.0
servers: []
security: []
paths:
  /api/uploads/dataset/{dataset_id}/images:
    post:
      tags:
        - uploads
        - datasets
      summary: Upload Dataset Items
      operationId: upload_dataset_items_api_uploads_dataset__dataset_id__images_post
      parameters:
        - name: dataset_id
          in: path
          required: true
          schema:
            type: string
            title: Dataset Id
        - name: mode
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            default: append
            title: Mode
        - name: X-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
        - name: blindsight_session
          in: cookie
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Blindsight Session
      requestBody:
        content:
          multipart/form-data:
            schema:
              allOf:
                - $ref: >-
                    #/components/schemas/Body_upload_dataset_items_api_uploads_dataset__dataset_id__images_post
              title: Body
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                title: >-
                  Response Upload Dataset Items Api Uploads Dataset  Dataset Id 
                  Images Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    Body_upload_dataset_items_api_uploads_dataset__dataset_id__images_post:
      properties:
        file:
          anyOf:
            - type: string
              format: binary
            - type: 'null'
          title: File
        folder_files:
          anyOf:
            - items:
                type: string
                format: binary
              type: array
            - type: 'null'
          title: Folder Files
        s3_url:
          anyOf:
            - type: string
            - type: 'null'
          title: S3 Url
        repo_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Repo Url
        repo_access_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Repo Access Token
      type: object
      title: Body_upload_dataset_items_api_uploads_dataset__dataset_id__images_post
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````